Υποστήριξη Google Talk

Jump to: navigation, search
This page is a translated version of the page Google Talk support and the translation is 4% complete.

Other languages:
dansk • ‎Ελληνικά • ‎English • ‎español • ‎italiano • ‎日本語 • ‎українська • ‎中文(中国大陆)‎


Warning.png
 
Warning
Some of this information is old and may be obsolete. If you are a user of Kopete please either directly edit this page or add notes on the attached Discussion page


Dialog-information.png
 
Information
A more complete and to-to-date description of setting up your account is available from the Kopete Jabber section


Adding an account

You can configure your Google Talk account in Kopete, by following these steps:

First you will need to add a Jabber account: Settings -> Configure... -> Accounts. There, choose an identity and press Add Account... in the right column. A service list will be displayed, and you have to choose Jabber, and then press Next.

In the first tab you have to enter your complete Google Talk address and password.


Basic Setup tab.


Then go to the Connection tab, and check Use protocol encryption (SSL), Allow plain-text password authentication, and Override default server information checkboxes. Then set server to talk.google.com and port to 5223. If you are behind a firewall and can't connect to the 5223 port you can use the 443 port (standard SSL port).


Connection tab.


If you want to enable voice chat, go to the Google Talk tab and check the checkbox you'll find.


Google Talk tab.


Read more about Kopete Google Talk voice chat support here.

You may need to restart Kopete to get the connection to work if you are editing an existing account.

QCA

Kopete Jabber uses a library called "QCA" (Qt Cryptographic Architecture) for encrypted connections as used by Jabber. Kopete has an internal copy of this library but your distribution may have separated it out. If so, make sure you have "QCA" installed. This may be called "libqca1-tls".

Information on "QCA" for various distributions:

  • openSUSE: the package is called qca but is installed by default along with Kopete.
  • Debian: the package is called qca-tls. You may also need the libqca2-plugin-ossl package.
  • Fedora: the package is called qca-tls and is available via yum from the Fedora Extras repository.
  • Gentoo: the package is called app-crypt/qca-tls for KDE 3.5, and app-crypt/qca-ossl for KDE 4.0.
  • Mandriva: just install libqca1-tls
  • Slackware: install qca-* packages from www.linuxpackages.net and then run ldconf as root.
  • Kubuntu: the required package is libqca2-plugin-ossl

The qca-tls plugin can also be compiled from source code which can be obtained here. The required file is qca-tls-1.0.tar.bz2 (qca-1.0.tar.bz2 is not the plugin which Kopete needs but the library).


This page was last modified on 19 September 2017, at 19:57. Content is available under Creative Commons License SA 4.0 unless otherwise noted.